const that = this;

Page({
  data:{
    hello:'Hi~',
    teacher: []
  },
  onLoad(options) {
    wx.cloud.callFunction({
      name: "recommend",
      success: (res) => {
        this.setData({
          teacher: res.data
        })
        console.log(res);
      }
    })
  },
  change:function(){
    this.setData({
      hello:this.data.hello+'~~',
    });
  },
  goToPageHom: function() {
    wx.navigateTo({
      url: '/pages/Recommend/Recommend',
    })
  },
  goToPageMes: function() {
    wx.navigateTo({
      url: '/pages/Demand/Demand',
    })
  },
  goToComments: function() {
    wx.navigateTo({
      url: '/pages/Comments/Comments',
    })
  },
  contactTeacher: () => {
    wx.makePhoneCall({
      phoneNumber: '10086'
    })
  },
});